Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.util
Interface Scored

All Known Implementing Classes:
  Constituent, EmptyTreeLeaf, LabeledConstituent, LabeledScoredTreeLeaf, LabeledScoredTreeNode, ScoredObject, SimpleConstituent, SimpleTree, Tree, TreeGraphNode

    public interface Scored

Scored: This is a simple interface that says that an object can answer requests for the score, or goodness of the object.

JavaNLP includes companion classes `ScoredObject` which is a simple composite of another object and a score, and `ScoredComparator` which compares Scored objects.

Author:
  Dan Klein

Method Summary
`double` | `score()`

Method Detail

### score

    double score()

  Returns:
    The score of this thing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group